Macaulay2 » Documentation
Packages » Macaulay2Doc » ideals » Ideal » support(Ideal)
next | previous | forward | backward | up | index | toc

# support(Ideal) -- list of variables occurring in the generators of an ideal

- Function: support
- Usage:
    `support I`
- Inputs:
  - I, an ideal, an ideal in a polynomial ring
- Outputs:
  - a list, of ring elements, the variables occurring in the generators of the ideal

## Description

    i1 : R = QQ[a..g]

    o1 = R

    o1 : PolynomialRing

    i2 : I = ideal(b,c,e+f)

    o2 = ideal (b, c, e + f)

    o2 : Ideal of R

    i3 : support I

    o3 = {b, c, e, f}

    o3 : List

## Ways to use this method:

- support(Ideal) -- list of variables occurring in the generators of an ideal

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/functions/support-doc.m2:56:0.